Vislt - Bug # 368: Streamline plot crashes engine with h5nimrod data

Status: Pending Priority: Normal
Author: Kathleen Biagas Category:

Created: 08/27/2010 Assigned to:

Updated: 10/05/2010 Due date:

Likelihood: 3 - Occasional

Severity: 4 - Crash / Wrong Results

Found in Version: trunk

0sS: All

Support Group: DOE/SciDAC

Subject: Streamline plot crashes engine with h5nimrod data

Description: Originally reported by Guoning Chen when | asked for clarification on issue #355.

With 2.0.1 on windows, a default Streamline plot of variable B from phi.h5nimrod yields no data.

Changing to using a plane source yields a plot.

With trunk, a default Streamline plot crashes the engine.

Performed a few tests on Linux:

With trunk version on Linux, a default Streamline plot yields no data, changing to using a plane source yields

no data.

Changing the plane parameters appears to hang Vislt, but checking the engine logs, the engine SEGV'd.

| haven't tested with any other data formats.

History

09/14/2010 04:28 pm - Eric Brugger
- Status changed from New to Pending
- Support Group changed from Any to DOE/SciDAC

10/05/2010 01:17 pm - Kathleen Biagas

This happens with silo data, too.

On Windows, | ran through the debugger, and Visual Studio complains about a Run-Time check error, stack corruption,

occurring in avtCellLocatorBIH, celltree_builder::split routine.

10/05/2010 03:41 pm - Kathleen Biagas

- File Streamline_test_disassembly_celltree_builder_split.txt added

I've attached the sample silo file, and Windows debugger output, callstack and disassembly. Hope something here helps.

10/05/2010 03:42 pm - Kathleen Biagas

- File Streamline_test_debugger_output.txt added
- File Streamline_test_callstack.txt added

- File Station_012000.silo added

Files

Streamline_test_disassembly_celltree_builder_split.txt 4.4 KB 10/05/2010 Kathleen Biagas
Streamline_test_debugger_output.txt 8.1 KB 10/05/2010 Kathleen Biagas
Streamline_test_callstack.txt 4.7 KB 10/05/2010 Kathleen Biagas
Station_012000.silo 189.4 KB 10/05/2010 Kathleen Biagas
